Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io
Class DBPool

    java.lang.Object
      java.util.TimerTask
          org.deegree.framework.util.ObjectPool
              org.deegree.io.DBPool

All Implemented Interfaces:
  Runnable

    public class DBPool

extends ObjectPool

class to manage a pool of database connections.

Since:
  2.0
Version:
  $Revision: 21456 $, 1.0. $Revision: 21456 $, $Date: 2009-12-15 15:17:33 +0100 (Di, 15. Dez 2009) $
Author:
  Andreas Poth, last edited by: $Author: aschmitz $

Field Summary

Fields inherited from class org.deegree.framework.util.ObjectPool
`available, existingInstances, in_use, startLifeTime, startUsageTime`

Constructor Summary
`DBPool(String driver, String database, Properties properties)` initialize pool for defined connection parameters
`DBPool(String driver, String database, String user, String password)` initialize pool for defined connection parameters

Method Summary
`Object` | `acquireObject()` get an object from the object pool
`void` | `onObjectKill(Object o)` will be called when the object is removed from the pool

Methods inherited from class org.deegree.framework.util.ObjectPool
`clear, getInstance, getMaxInstances, getMaxLifeTime, getMaxUsageTime, getUpdateInterval, releaseObject, run, setMaxInstances, setMaxLifeTime, setMaxUsageTime, setUpdateInterval, toString`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBPool

    public DBPool(String driver,
                  String database,
                  String user,
                  String password)

  initialize pool for defined connection parameters

  Parameters:
    `driver` -
    `database` -
    `user` -
    `password` -

### DBPool

    public DBPool(String driver,
                  String database,
                  Properties properties)

  initialize pool for defined connection parameters

  Parameters:
    `driver` -
    `database` -
    `properties` -

Method Detail

### acquireObject

    public Object acquireObject()
                         throws DBPoolException

  get an object from the object pool

  Returns:
    the object
  Throws:
    `DBPoolException`

### onObjectKill

    public void onObjectKill(Object o)

  will be called when the object is removed from the pool

  Specified by:
    `onObjectKill` in class `ObjectPool`
  Parameters:
    `o` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org